# Введение #

В окружающем мире большинство процессов протекают непрерывно с течением времени. Вода не льется из под крана маленькими кубиками, она течет постоянной непрерывной струей, машина не едет "рывками", она плавно едет по извилистой змейке дороги.

Но, тем не менее, почти все непрерывные процессы мы можем представить в качестве дискретных. Струю воды можно считать по каплям, а путь автомобиля по пройденным сантиметрам. Такой подход несколько неудобен для человека, который привык к плавности движений и форм. Однако, для вычислительных машин нет ничего лучше! Компьютеры все меряют отдельными значениями. Но если маленьких отдельных значений очень много, то они становятся похожи на непрерывный набор данных, поэтому, в сущности, какая в конечном счете разница что использовать: непрерывные функции или их дискретные аналоги?

# Дискретная задача #

Дискретную задачу оптимального управления можно рассматривать и описывать как многошаговый процесс. На каждом шагу такой процесс характеризуется набором переменных состояния (фазовых переменных) _X_ = (x<sup>k</sup><sub>1</sub> ... x<sup>k</sup><sub>n</sub>) и набором переменных управления _U_ = (u<sup>k</sup><sub>1</sub> ... u<sup>k</sup><sub>n</sub>). Если подробнее, то на каждом шаге процесс описывается некоторым набором значений, которых характеризуют его состояние, а также переменными, которых характеризуют воздействие на процесс.

## Начальные условия ##

Изначально нам известны только стартовые параметры системы, а, так как процесс изменяется со временем, вычисляются с помощью заданной функции, которая определяет динамику процесса. В общем случае

f = f(x<sup>k</sup>, u<sup>k</sup>, k),

но может быть и так, что на каждом выбранном промежутке функция будет разной.

## Условие оптимальности ##

В общем случае задача управления дискретным процессом состоит в нахождении такого допустимого процесса, при котором функция

_I_(_U_) = _F_(x<sup>q</sup>} + Sum( f<sub>i</sub>(x<sup>k</sup>, u<sup>k</sup>, k), i = 0 .. q-1 )

стремится к минимуму (максимуму). В этой функции _F_() - заданная функция.